Bug 6127 - libfame is not usable on a recent GCC.
: libfame is not usable on a recent GCC.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libfame)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-15 20:44 by
Modified: 2008-03-12 15:18 (History)


Attachments
более правильный патч (?) (2.50 KB, patch)
2006-09-11 18:38, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-15 20:44:43
наблюдается точно такая же ошибка 
undefined reference to `_mmx_one'

http://lists.freebsd.org/pipermail/freebsd-ports-bugs/2004-December/047078.html


упомянутый патч решает проблему
http://www.linuxfromscratch.org/blfs/downloads/svn/libfame-0.9.1-gcc34-1.patch
------- Comment #1 From 2006-09-11 18:38:15 -------
Created an attachment (id=1620) [details]
более правильный патч (?)

Это, мне кажется, более правильный патч для решения описанной проблемы (ссылки
на патч нет, потому как сам сделал:)). Кроме того, он включает SSE-оптимизацию
(там где она есть) в случае --enable-sse. Патч подходит для 0.9.0 и для 0.9.1
(может обновить заодно до 0.9.1?)
------- Comment #2 From 2008-03-11 15:33:35 -------
Reassign to real maintainer.
------- Comment #3 From 2008-03-11 15:47:33 -------
этот патч давно есть, только libfame у нас собран с --disable-sse